読者です 読者をやめる 読者になる 読者になる

wordpressでバージョンアップの確認を非表示にするには

WordPress 3.2が利用可能です!更新してください。

というバージョンアップに関する表示があるのだがこれを非表示にする方法。

以下のコードをテーマディレクトリのfunctions.phpに記述するといいらしい。

add_filter( 'pre_site_transient_update_core', '__return_zero' );
remove_action( 'wp_version_check', 'wp_version_check' );
remove_action( 'admin_init', '_maybe_update_core' );

以下を参照のこと。2つ目はplugin形式で、ソースを見ると3.0以前も対応しているみたい。

http://www.warna.info/archives/781/
http://wordpress.org/extend/plugins/disable-wordpress-core-update/